<form #form='ngForm' class="mb-4" autocomplete="off" (submit)="onSubmit(form)">
  <div class="form-group">
    <br/>
   <label>Your name:</label>
    <input class="form-control" #UserName="ngModel" name="UserName" id="UserNameId" [(ngModel)]="formModel.UserName" required>
    <label> </label>
  </div>
  <div class="form-row">
    <div class="form-group col-md-8 offset-md-2">
      <button type="submit" class="btn btn-lg btn-block" id="SubmitId" [disabled]="form.invalid">Login</button>
    </div>
  </div>
</form>